petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDSSetType

Builds a particular PetscDS

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetType(PetscDS prob, PetscDSType name)

Collective on PetscDS

### Input Parameters

| prob | - The PetscDS object
| name | - The kind of system

### Options Database Key

-petscds_type <type> -Sets the PetscDS type; use -help for a list of available types

### Keywords

PetscDS, set, type

### See Also

PetscDSGetType(), PetscDSCreate()

Level:intermediate
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages